Skip to main content
curl --request GET 'https://api.mayar.id/hl/v2/transactions?limit=10' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": [
        {
            "id": "025b0f2a-dbc0-46aa-ae5b-326cc394c6c1",
            "credit": 1059,
            "status": "settled",
            "balanceHistoryType": "digital_product",
            "paymentMethod": "QRIS",
            "customerId": "c1a2b3c4-d5e6-4789-a012-3456789abcde",
            "createdAt": 1768375011056,
            "paymentLinkTransactionId": "dc37faf8-4908-4994-a6d4-b18dbd68852b",
            "fee": [
                {
                    "id": "360d4d94-29a9-4dcf-8307-16ddfa41b067",
                    "balanceHistoryType": "xendit_fee",
                    "debit": 6
                },
                {
                    "id": "fd7e4fc3-d293-4553-83dc-6e086bde282b",
                    "balanceHistoryType": "mayar_fee",
                    "debit": 53
                }
            ],
            "paymentLinkId": "6e9f587d-8a8a-4a4e-b745-28c71d94ed9d",
            "subscriptionId": null,
            "xenditTransactionId": "41ac4780-f19d-48b9-87b7-97aa129eb638",
            "subscription": null,
            "paymentLinkTransaction": {
                "id": "dc37faf8-4908-4994-a6d4-b18dbd68852b",
                "urlParamTrackingData": null,
                "isAdminFeeBorneByCustomer": true,
                "isChannelFeeBorneByCustomer": true
            },
            "customeField": null,
            "customer": {
                "id": "c1a2b3c4-d5e6-4789-a012-3456789abcde",
                "name": "Andi Pratama",
                "email": "andi.pratama@example.com",
                "mobile": "081200000001"
            },
            "paymentLink": {
                "id": "6e9f587d-8a8a-4a4e-b745-28c71d94ed9d",
                "name": "Produk Digital - Ebook"
            },
            "xenditTransaction": {
                "id": "41ac4780-f19d-48b9-87b7-97aa129eb638",
                "paymentLinkTransactionId": "dc37faf8-4908-4994-a6d4-b18dbd68852b",
                "paymentLinkTransaction": {
                    "id": "dc37faf8-4908-4994-a6d4-b18dbd68852b",
                    "couponUsage": null
                }
            }
        },
        {
            "id": "91220b8b-ebdc-4154-b617-492dacc98662",
            "credit": 0,
            "status": "settled",
            "balanceHistoryType": "saas",
            "paymentMethod": "Gratis",
            "customerId": "d2b3c4d5-e6f7-4890-b123-456789abcdef",
            "createdAt": 1768288611042,
            "paymentLinkTransactionId": "00617429-fc1c-44db-a0ba-e31d3f0edd70",
            "fee": [],
            "paymentLinkId": "a6be24df-1335-4682-902c-f0474c1826c0",
            "subscriptionId": null,
            "xenditTransactionId": null,
            "subscription": null,
            "paymentLinkTransaction": {
                "id": "00617429-fc1c-44db-a0ba-e31d3f0edd70",
                "urlParamTrackingData": null,
                "isAdminFeeBorneByCustomer": null,
                "isChannelFeeBorneByCustomer": null
            },
            "customeField": null,
            "customer": {
                "id": "d2b3c4d5-e6f7-4890-b123-456789abcdef",
                "name": "Budi Santoso",
                "email": "budi.santoso@example.com",
                "mobile": "081200000002"
            },
            "paymentLink": {
                "id": "a6be24df-1335-4682-902c-f0474c1826c0",
                "name": "Langganan Aplikasi"
            },
            "xenditTransaction": null
        }
    ],
    "hasMore": true,
    "nextStartingAfter": "1768288611042"
}
Endpoint:
https://api.mayar.id/hl/v2/transactions?limit=10

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Query Parameters

status
string
Filter the list by transaction status (e.g. settled).
customerId
string
Filter transactions by a specific customer ID.
type
string
Filter by transaction type (e.g. digital_product, event, membership).
Filter transactions by a specific payment link ID.
startAt
string
Start of the date range to filter by (Unix timestamp in milliseconds).
endAt
string
End of the date range to filter by (Unix timestamp in milliseconds).
fields
string
Comma-separated list of fields to include in each item.
limit
integer
default:"10"
Number of items to return per page. Defaults to 10, with a maximum of 50.
startingAfter
string
Cursor for forward pagination. Pass the nextStartingAfter value from the previous response (a Unix timestamp in milliseconds, as a string) to fetch the next page.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
List of transactions displayed.
hasMore
boolean
Information on whether there is additional data to be retrieved (true/false).
nextStartingAfter
string | null
Cursor to pass as startingAfter to fetch the next page. null when there is no further data.

data Structure (Array Of Object)

id
string<uuid>
Unique ID for the balance transaction history.
credit
integer
The amount of credit received from the transaction.
status
string
The status of the balance transaction (settled = completed/successful).
balanceHistoryType
string
The type of transaction.
paymentMethod
string
The payment method.
customerId
string<uuid>
The unique ID of the customer who made the transaction.
createdAt
number (timestamp)
The transaction creation time in epoch format (ms).
The transaction ID associated with the payment link.
fee
array of object
Additional fees applied to the transaction (empty if none).
The ID of the payment link used.
subscriptionId
string | null
The subscription ID (if the transaction is a subscription).
xenditTransactionId
string | null
The Xendit transaction ID (if using the Xendit gateway).
subscription
object | null
Subscription details (if any).
xenditTransaction
object | null
Xendit transaction details (if any).
Object that stores transaction details related to the payment link.
customeField
object | null
Additional custom fields that can be filled in by the user (if any).
customer
object
Customer data that makes transactions.
Payment link information used for transactions.

fee Structure (Array Of Object)

id
string <uuid>
Unique ID for the fee entry.
balanceHistoryType
string
The type of fee (e.g. xendit_fee, mayar_fee).
debit
integer
The fee amount deducted.

paymentLinkTransaction Structure (Object)

id
string <uuid>
Payment link transaction ID.
urlParamTrackingData
string | null
Tracking URL data (if any).
isAdminFeeBorneByCustomer
boolean | null
Whether the admin fee is borne by the customer.
isChannelFeeBorneByCustomer
boolean | null
Whether the channel fee is borne by the customer.

customer Structure (Object)

id
string <uuid>
Unique customer ID.
name
string
Customer’s name.
email
string
Customer’s email address.
mobile
string
Customer’s mobile phone number.
id
string <uuid>
ID payment link.
name
string
Payment link name.